2008.05.12 (1.0.9) 開発版
  2008.01.25に試作していたものの正式アップ。
  (plugin)TERASOLUNA Server for Rich用のソースコードを生成するボタンを追加。
    →これに伴い、外部モジュール呼び出し部分のソースをリファクタリング。
  (削除)AbstractActionExternalOption.java

2007.12.24 (1.0.8) Eclipse 3.3 対策
  ※今回に限り pluginのみバージョン番号採番のうえリリースします。
  (plugin)バージョン番号を採番更新。
  (plugin) workbenchMonitorを利用するのを停止しました。
    →これは、Eclipse 3.3 で workbenchMonitor を利用すると org.eclipse.swt.SWTException: Invalid thread access が発生してしまうので、これを避けるためです。
  (plugin)about.htmlを更新。
  (plugin)build.xmlを更新。
  (plugin)plugin.xmlの再生成
  (plugin)ウィザードの生成ディレクトリに関する記述を更新 (Blanco*WizardPage4)
  (jar)jarファイル類を更新チェック。

2006.12.19 (1.0.7)
  (wsdl)0.1.2の変更でデグレードしてしまっていた点を修正しました。
        →.NET Framework SDKのwsdl.exeで処理できない状態になってしまっていました。
  (plugin)バージョン番号をプラグイン画面に表示するように変更。
  (plugin)内部的な定数を利用するように変更。

2006.10.17 (1.0.6)
  (wsdl)Sun JDK 1.5.0_06では正常に動作するのだが、Sun JDK 1.5.0_08、1.5.0_09で発生する
        WSDL (XML) 生成の動作不良に対する対応を実施。
  jarファイル類の更新。

2006.08.07 (1.0.5)
  (jexcelapi)JExcelApi 2.6が Sun Java2 SE 1.4.2_12 で動作しない不具合に対応。
    (具体的には JExcelApiのjarファイルにパッチを適用した jxl-2.6blanco.jarを利用開始)
  jarファイル類を更新: blancoCg, blancoCommons
  (soap) *.asmxファイルの自動生成機能を追加。

2006.07.19 (1.0.4)
  (soap)[.net] 接続先文字列について、デフォルトは Web.configからの読み込みに変更。

2006.07.14 (1.0.3)
  (wsdl) 電文の項目名について、項目名の前後の空白はtrimして扱うように処理を変更。

2006.07.06 (1.0.2) 開発版
  (wsdl) .NET Framework SDK 2.0対応。この版以降は しばらくは .NET版構築を優先して機能実装します。
  (wsdl) WSDL内の wsdl:binding以下の soap:operationタグに soapActionアトリビュートを出力するように変更。
         例: <soap:operation soapAction="http://noname.org/NoService/TAAA0001" />
         このように、targetNamespace/電文処理ID をsoapAction名とします。
  (soap) .NET Framework SDK 2.0対応。
  (soap) Runtime.exe呼び出し時に環境変数に 長さ0の文字列配列を与えていたのをnullに変更。
  (soap) 以前保留していた、生成後のクラス名について、TelegramProcessProxyという名称は TelegramProcessorProxyへと変更。
         その他 自動生成されるクラスの名前やディレクトリ構造を見直し。
  blancoCgのjarファイルを更新。

2006.06.30 (1.0.1)
  (wsdl)電文定義書の項目名を正規表現でチェックする機能を追加しました。

2006.05.31 (1.0.0)
  blancoValueObject (0.2.1) へと更新。
  (valueobject)自動生成後クラスのtoStringメソッドにおいて配列型がnullの場合にNPEのバグがあるのを修正。
  (valueobject)toStringで配列型が与えられた場合の toStringメソッドの結果を少し調整。(ソースコード的には簡単になる)

2006.05.23 (0.9.9)
  (plugin)ウィザード起動時の文言を現状に合わせるように変更しました。
  (plugin)jarファイル類を更新しました。
  (plugin)xsdという文言を XSDのように大文字に変更。
  blancoXsdを更新。
  (xsd)ルートノード直下に繰り返し項目がないかチェックする仕様を追加 (checkChildComplexTypeOfRoot)
       ※ルートとなる複合型には、「Max回」が2以上(あるいはunbounded)の項目定義を行うことはできません。

2006.04.25 (0.9.8)
  blancoWsdlを更新。
    [wsdl]パッケージ不一致の場合のメッセージを、少し親切になるように改善。
    [wsdl]XMLのインデントで見栄えの悪いところがあったのでこれを修正。

2006.04.21 (0.9.7)
  blancoWsdlを更新。
  [wsdl]同一ウェブサービスIDにおいて、パッケージの比較をおこない、
        パッケージがずれている場合に異常終了させる機能がある。この比較の際に、
        もしパッケージが未指定の場合には、名前空間から導出されるパッケージ名をもって
        比較を行う仕様へと変更。(従来は パッケージの文字列のみにて比較していました。)

2006.04.21 (0.9.6)
  blancoCodeGeneratorバグフィックス版を取り込み。(クラス継承もとのジェネリクス)
  →これは JDK 1.5のジェネリクスを用いているモジュールのみが影響範囲です。

2006.04.21 (0.9.5)
  blancoCodeGeneratorを第2世代版へと置き換えました。

2006.04.18 (0.9.4)
  電文処理定義書・電文定義書にパッケージ名指定を追加。
  jarファイル類の更新。

2006.04.13 (0.9.3)
  jarファイル類の更新。

2006.04.05 (0.9.2)
  jarファイル類を更新しました。
  ※blancoSOAP安定版(1.0.0)を取り込みました。

2006.03.23 (0.9.1)
  jarファイル類を更新しました。

2006.03.20 (0.9.0)
  テスト時に利用するサンプルXMLファイルに、電文定義書の名前空間を付与するように変更しました。
  jarファイル類を更新しました。

2006.03.13 (0.8.9) 出荷候補版。
  この版を出荷候補版とします。
  【削除】blancoconcretesax-0.0.2.jar

2006.03.11 (0.8.8) 不安定版
  【重要】WSDLの格納フォルダをデフォルトで blanco.wsdlに変更しました。
  【重要】画面上の文言を見直し、変更を加えました。

2006.03.11 (0.8.7) 不安定版
  【重要】具象化SAXをプラグインからハズします。
  【削除】BlancoSAXGenerateAction.java
  【削除】blancoConcreteSaxTemplate.xml
  【削除】BlancoXsdGenerateAction.java
  blancoSOAPDotNetを組み込みました。
  【注意】.NET Framework SDKを用いてソースコードを生成した際に、処理が途中で固まってしまった場合には
         タスクマネージャから wsdl.exe プロセスを中止すると状態が回復してエラー内容を確認できる場合があります。
  (blancoSOAPDotNet: .NET) 電文処理定義と電文定義との間で名前空間を一致させておく必要があります。

2006.03.09 (0.8.6) 不安定版
  この版から blancoSOAPと blancoSOAPPluginとはバージョン番号に関連が無くなります。
  jarファイル類を更新しました。

2006.03.08 (0.8.5) 不安定版
  マイルストーン版の作成作業に着手。

2006.03.07 (0.8.4) 不安定版
  (plugin)blancoEclipsePluginGenを更新。
  (plugin)jarファイル類を更新
  (plugin)右クリックメニューを除去。
【重要】(plugin)ドキュメント一覧のための中間ファイル作成処理を後続処理に追加。

2006.03.06 (0.8.3) 不安定版
  (plugin)ドキュメント一覧のための中間ファイル作成処理を後続処理に追加。
  (plugin)BLANCO_DB_PACKGEというキーをリソースバンドルから除去。

2006.02.27 (0.8.2) 不安定版
  外部モジュール起動にテンポラリフォルダを与えるように引数追加。
  なお、blancoSOAPは更新せず。プラグインのみ更新。

2006.02.15 (0.8.1) 不安定版
  XSD読み込みも共通ルーチン化

2006.02.14 (0.8.0) マイルストーン版
  一旦2桁目を増やしてリリースします。
  この次の版から大幅な変更が入る見込みです。
  【削除】BlancoSoapExpandAbstractTelegramProcess.java クラス名変更しました。
    ※なぜなら、他のblancoプロダクトは er や or で終了しているからです。

2006.02.13 (0.7.9) 不安定版
  build.xml: Antタスクのうち blancoSOAPDotNetについては generateタスクへと分割。
             指定した場合にのみ動作するようにする。
  (plugin) blancosoap*.jarを一旦追加しました。ただし内部的にはまだ利用されていません。

2006.02.09 (0.7.8) 不安定版
  blancoSOAPDotNet: 名前変形について .NET Framework 1.1と同調すべきところは合わせる。

2006.02.07 (0.7.7) 不安定版
  電文定義書の項目名に空白が含まれていた場合には処理中断するように改善。

2006.02.03 (0.7.6) 不安定版
  .NET Frameworkを利用した、結合系の試験を実施。
  【削除】BlancoSoapTask.java
  【削除】AbstractBlancoSoapTask.java
  【削除】BlancoSoapTask.xls
  wsdl.exeコマンドの呼び出しをAntタスク化

2006.02.02 (0.7.5) 不安定版
  <returns>タグが適切に出力されるように改善。
  overrideに対応。
  インデントの字下げが不正だったのを改善。

2006.02.01 (0.7.4) 不安定版
  ・生成されるC#.NETソースコードのXMLコメントを追加しました。
  ・TelegramProcessProxyクラス生成の際にコンストラクタではなく、
  　WebMethodの形式となるように修正しました。
  

2006.01.31 (0.7.3) 不安定版
  Wsdl2CsClassの実装に着手

2006.01.31 (0.7.2) 不安定版
  blancoSOAPからblancoXsd, blancoWsdlが独立プロジェクトとして分裂しました。
  【削除】src/以下を削除
  【削除】blanco/main/以下を削除
  【削除】test/以下を削除
  【削除】meta/以下を削除
  ※ソースコード一式などが 一旦すべて消えてなくなりました。
  (plugin)【削除】blancosoap-*.jar

2006.01.30 (0.7.1) 不安定版
  BlancoXsdについて一部をリソースバンドル化
  電文定義書の様式を変更
  ・「定義済み型の参照」列を削除しました。
  ・電文定義書の型のドロップダウンに バイナリ (xsd:base64Binary)を追加しました。

2006.01.26 (0.7.0) 不安定版
  jarファイルを更新。
  【削除】BlancoWsdlMeta2Xml.java
  (plugin)【削除】BlancoSoapBlancoFwHandler.java
  (plugin)【削除】BlancoSoapBlancoFwSerializer.java

  「XML Schemaの要素宣言を生成」をオプション指定できるように変更する。
  # XML Schema内に xsd:element を生成するのをオプション化する。
  これは Microsoft .NET Frameworkの wsdl.exe 対応のために必要。
  [.NET Framework対応のポイント]
   1.「XML Schemaの要素宣言を生成」をfalseにする必要があります。
   2.電文定義書・電文処理定義書の名前空間を一致させる必要があります。
  (plugin)プラグイン設定情報のいくつかの変更検知が適切に実装されていなかったのを修正。

2006.01.05 (0.6.1)
  jarファイルの類を更新。
  blancoValueObjectについて新版に差し替え。
  (plugin)【削除】BlancoSOAPPlugin.java
  (plugin)【削除】BlancoSOAPDocumentProvider.java
  (plugin)【削除】BlancoSOAPPluginUtil.java
  ※基本的なデグレード確認は実施済み。

2005.12.19 (0.6.0)
  【削除】blancoConcreteSax関連を別プロジェクト化
  【削除】blanco.saxパッケージを削除
  【削除】blancoConcreteSaxTask.xlsを削除
  リソースバンドル化から漏れていたメッセージをバンドル化

2005.12.19 (0.5.9)
  ・生成されるWSDLファイルのファイル名は 電文定義ID.wsdl となるように仕様変更。
    これはCurlのWSDKの仕様の都合によるものです。
  ・電文定義の「Min回」は必須入力になるように仕様を変更する。
    メッセージとしては、「必須であれば1を、任意であれば0をセットせよ」のようにする。
  ・メタファイルの新規作成されたものについて、応答電文のドロップダウンを修正する。
  ・必須入力項目のエラーチェックについて、上から下に確実に実施されるように改良する。
  ・サンプルとして例示していたものについても、これを消去するようにする。
  ・WSDL生成の箇所についてもblancoResourceBundle対応

2005.12.14 (0.5.8)
  blancoValueObjectを別プロジェクトに分割
  【削除】BlancoValueObject.xmlファイルを削除
  【削除】valueobjectパッケージを削除

2005.12.10 (0.5.7)
  lib.antに blancosoapのjarが入っていたが、これは現時点では不要なので削除。

2005.12.10 (0.5.6)
  一旦 0.5.3レベルまで戻しました。0.5.3とCVSベースで内容の変化がないことを確認。
  ただし、ConcreteSAXのAntタスクの追加だけは有効とします。

2005.12.10 (0.5.5)
  試験をして早速問題が見つかったので修正。

2005.12.10 (0.5.4)
  【重要】ConcreteSaxを常にAntタスク内で動作させるように変更。WSDLとXSDが従来の物と互換性があるかどうか試験が必要。
  blancoAntTaskを利用して ConcreteSaxだけはAntTaskを新規作成
  【削除】src側のBlancoValueObjectHandler
  【削除】src側のBlancoValueObjectSerializer
  
2005.12.05 (0.5.3)
  Curl側でシンプル型定義でもクラスが生成されることが判明。
  生成するクラスとの関連からシンプル型定義についてもプレフィックスを付与するように変更。

2005.12.02 (0.5.2)
  名前変形に致命的な不具合があったので修正。
  階層内のコンプレックス型は アンダーバーで区切って名前を命名するように変更。

2005.12.02 (0.5.1)
  JDK 1.4.2_10でビルドし直し

2005.11.18 (0.5.0)
  xsd上の配列型の処理の進め方を変更。
  xsdをパースした際に Javaの型のところを配列型であれば配列型としてセットするように変更。

2005.11.17 (0.4.9)
  jarファイルの更新
  (バグ対応)minOccursが0で かつJavaの型がプリミティブ型の場合に、ラッパー型に変更する仕様を追加

2005.11.15 (0.4.8)
  decimal型の対応

2005.11.15 (0.4.7)
  メッセージ間違いを修正。

2005.11.15 (0.4.6)
  blancoCodeGeneratorを更新。

2005.11.14 (0.4.5)
  入力チェック系をさらに強化。
  処理の一部についてリソースバンドル化
  xsdファイルの字下げが少し崩れていたので微調整。

2005.11.14 (0.4.4)
  様式の入力値チェックを追加。
  ひとまず様式の入力値チェックについて単体試験を実施に入ります。
  
2005.11.09 (0.4.3)
  様式を微調整。

2005.11.09 (0.4.2)
  様式を最終調整。
  【説明】欄を追加
  Bytes数を 長さに変更。MIN数、MAX数を MIN長、MAX長 に変更。

2005.11.09 (0.4.1)
  Castor設定ファイルの内容について XML SchemaのValidationが有効になるように微調整

2005.11.07 (0.4.0)
  blancoCommonsを更新

2005.11.07 (0.3.9)
  xsdをパースする際に、実体Element宣言を読み飛ばせるように修正。

2005.11.07 (0.3.8)
  【重要】削除 BlancoWsdlXml2XsdOutputHandler.java
  【重要】削除 BlancoWsdlXml2XsdOutputSerializer.java
  【重要】削除 BlancoWsdlXml2XsdOutput.xml
  Castorマッピングファイルに、マップ対象の名前空間をセットするように変更。
  ElementFormDefault="qualified"を追加
  実体Element宣言を追加
  (plugin)外部オプション01が有効である場合に、Castor用設定ファイルと併せて xsdもコピーするように変更。

2005.11.04 (0.3.7)
  ConcreteSaxのxmlnsに関する予約語に関する処理。

2005.11.04 (0.3.5)
  いったん作業をクローズ。デグレードを防ぐ目的の単体試験に入ります。

2005.11.04 (0.3.4)
  BlancoWsdlXml2Wsdl が何となく正しい動作を行い始める。
  Serializerにハンドラ取得のメソッドを追加

2005.11.02 (0.3.3)
  要求電文の名前空間と応答電文の名前空間とが一致するかどうかのチェックを追加。
  blancoCodeGenerator, blancoCommonsを更新。
  いったん保存。Xml2Wsdlを大幅改修中…

2005.11.01 (0.3.2)
  外部プログラムとの連係機能を模索中

2005.11.01 (0.3.1)
  xsdバリデーション機能を強化

2005.11.01 (0.3.0)
  xsdバリデーション機能を実装開始

2005.11.01 (0.2.9)
  ストリームのクローズ忘れバグを修正
  (plugin)ディレクトリ操作について見直しを実施

2005.11.01 (0.2.8)
  いったん0.2.5ベースまで戻します。
  これはmaxOccursが2以上の場合の対応について考慮し直すためです。

2005.10.31 (0.2.5)
  Castor処理についてストリームベースに調整開始
  BlancoWsdlXml2WsdlTestをblancoSOAPに移管

2005.10.31 (0.2.4)
  JUnitコード生成のサンプルXML読み込みの箇所のバグを仮修正。ただし本質的には改善できておらず。
  パスのない場所のシンプル型定義が適切に参照されない不具合を修正。
  JExcelApiを更新

2005.10.24 (0.2.3)
  Excel様式を調整開始
  IPO欄の新設

2005.10.23 (0.2.2)
  Castor対応に着手。Castor用の設定ファイルを自動生成できるように機能追加。

2005.10.20 (0.2.0)
  blancoCodeGeneratorを更新

2005.10.20 (0.1.10)
  外部プログラムの挟み込みポイントを追加

2005.10.19 (0.1.9)
  不用意なtry-catchを除去

2005.10.18 (0.1.8)
  Excel上の階層の表現方法が少し変更されました。
  xsd処理が かなり改善されました。

2005.10.18 (0.1.7)
  項目が無指定の場合のチェック機能およびエラー処理を強化
  XSD生成のルーチンで出力ストリームのクローズ処理が微妙だったのを修正
  電文の内容が全くない場合にも適切に複合型を生成するようにバグ修正。
  (plugin)再入防止コードの見直しを実施

2005.10.05 (0.1.6)
  不要な変数を除去

2005.10.05 (0.1.5)
  xsd型定義を増強
  minOccursが0の場合に、ラッパークラスを生成するように機能追加
  Java言語上に対応するプリミティブ型があるばあい、
    minoCcursが1以上の場合はプリミティブ型、minOccursが0の場合はラッパー型にするようにする。

2005.10.04 (0.1.4)
  blancoCommons更新

2005.10.04 (0.1.3)
  電文階層そのものをminOccurs, maxOccursに対応させました。
  表現するために、階層のためのComplexTypeの表記方法を追加しました。

2005.09.30 (0.1.2)
  【重要】blanco.pojoをblancovalueobjectに名称変更。
  テンプレートの値を単体試験しやすい値に変更。
  名前空間はロケーションではなく名前空間を利用するように改善。
  blanco.xsdを新規作成
  xsdファイルを開いて名前空間を判定するように仕様変更。
  このため、生成に順序性が必要になります。
  Typesサフィックス、Input,Outputサフィックスを除去。名前がそのまま伝わるようにする。
  xsdからValueObject生成までの一連の流れを確認

2005.09.29 (0.1.1)
  ConcreteSAX:処理されないstartElementおよびendElementを検知するように強化。
  ConcreteSAX:URIとlocalNameをもってエレメントを分岐するように変更。
  ConcreteSAX:URIとlocalNameをもってAttributeから取り出しをおこなうように変更。

2005.09.28 (0.1.0)
  シンプル型定義の名前空間混乱の可能性を除去
  blancoWsdlについて、一定の目途が立つ。

2005.09.28 (0.0.14)
  minOccurs, maxOccursに対応
  Excel様式上の「必須」を削除
  「形式タイプ」は利用されないので除去しました。
  「定義済み型の参照」は機能が実装されていないので、背景色を白に戻しました。
  Axis 1.2.1が食えるかどうかの試験を実施。
  (重要)Excel様式が変更されています。

2005.09.27 (0.0.13)
  (重要)処理をストリームベースに変更。

2005.09.26 (0.0.12)
  blancoCalcParserのxml対応
  xsd作成について改良中…

2005.09.22 (0.0.10)
  コンパイル時にlib以下を全て利用するように変更。

2005.09.22 (0.0.9)
  blancoPOJOの実装が初めて行われる。

2005.09.22 (0.0.8)
  整備してリリース

2005.09.21 (0.0.7)
  JUnit生成を増強

2005.09.21 (0.0.6)
  自身をConcreteSAXに対応させる。

2005.09.21 (0.0.5)
  テストクラス生成機能を追加

2005.09.20 (0.0.4)
  念のため再リリース

2005.09.20 (0.0.3)
  charactersを集約呼び出しするように変更。
  ソースコードをjarに含めるように変更。

2005.09.18 (0.0.2)
  blancoIg-0.5.22に更新

2005.09.09 (0.0.1)
  新規作成
  blancoCommonsからblancoWSDLを移管。
